> ## Documentation Index
> Fetch the complete documentation index at: https://docs.swarmd.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Replace the agent's Art. 50 transparency settings

> **Security Requirements**

| Auth Types | Entities | Permissions | Required Roles |
|------------|----------|-------------|----------------|
| USER | REGISTRY | WRITE | REGISTRY:WRITE |



## OpenAPI

````yaml /openapi/swarmd.json put /registry/v1/agents/{agentId}/governance/transparency
openapi: 3.1.0
info:
  title: Relay
  version: v0
servers:
  - url: https://api.dev.swarmd.ai
    description: Development
security: []
tags:
  - name: Policy Groups
    x-displayName: Policy Groups
  - name: Policy Bindings
    x-displayName: Policy Bindings
  - name: Evaluation Packs
    x-displayName: Evaluation Packs
  - name: Webhooks
    x-displayName: Webhooks
  - name: MCP JSON-RPC
    x-displayName: MCP JSON-RPC
  - name: Conversations
    x-displayName: Conversations
  - name: Human JSON-RPC
    x-displayName: Human JSON-RPC
  - name: Channel JSON-RPC
    x-displayName: Channel JSON-RPC
  - name: HITL Approvals
    x-displayName: HITL Approvals
  - name: Agent JSON-RPC
    x-displayName: Agent JSON-RPC
  - name: Tasks
    x-displayName: Tasks
  - name: Push Notifications
    x-displayName: Push Notifications
  - name: Messaging
    x-displayName: Messaging
  - name: LLM Runtime
    x-displayName: LLM Runtime
  - name: Agent Discovery
    x-displayName: Agent Discovery
  - name: Governance
    x-displayName: Governance
  - name: MCP Servers
    x-displayName: MCP Servers
  - name: LLM Gateways
    x-displayName: LLM Gateways
  - name: Agents
    x-displayName: Agents
  - name: User Subscriptions
    x-displayName: User Subscriptions
  - name: LLM Providers
    x-displayName: LLM Providers
  - name: LLM Gateway Subscriptions
    x-displayName: LLM Gateway Subscriptions
  - name: Kill Switches
    x-displayName: Kill Switches
  - name: Channels
    x-displayName: Channels
  - name: Channel Subscriptions
    x-displayName: Channel Subscriptions
  - name: Agent Subscriptions
    x-displayName: Agent Subscriptions
  - name: Marketplace
    x-displayName: Marketplace
  - name: Identity Providers
    x-displayName: Identity Providers
  - name: Groups
    x-displayName: Groups
  - name: Authentication
    x-displayName: Authentication
  - name: Users
    x-displayName: Users
  - name: Tenants
    x-displayName: Tenants
  - name: Audit Retention
    x-displayName: Audit Retention
  - name: Audit Monitors
    x-displayName: Audit Monitors
  - name: Audit Integrity
    x-displayName: Audit Integrity
  - name: Audit Events
    x-displayName: Audit Events
  - name: Audit Traces
    x-displayName: Audit Traces
  - name: Audit Dashboard
    x-displayName: Audit Dashboard
  - name: A2A Payments
    x-displayName: A2A Payments
  - name: Licence Verification
    x-displayName: Licence Verification
  - name: ECR Credentials
    x-displayName: ECR Credentials
paths:
  /registry/v1/agents/{agentId}/governance/transparency:
    put:
      tags:
        - Governance
      summary: Replace the agent's Art. 50 transparency settings
      description: |-
        **Security Requirements**

        | Auth Types | Entities | Permissions | Required Roles |
        |------------|----------|-------------|----------------|
        | USER | REGISTRY | WRITE | REGISTRY:WRITE |
      operationId: updateAgentTransparency
      parameters:
        - name: agentId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Registry_TransparencyRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/Registry_TransparencyResponse'
      security:
        - Registry_bearerAuth: []
components:
  schemas:
    Registry_TransparencyRequest:
      type: object
      properties:
        disclosureEnabled:
          type: boolean
        disclosureText:
          type: string
        disclosureMode:
          type: string
          enum:
            - FIRST_INTERACTION
            - EVERY_RESPONSE
        disclosureChannelIds:
          type: array
          items:
            type: string
            format: uuid
        markSyntheticContent:
          type: boolean
    Registry_TransparencyResponse:
      type: object
      properties:
        agentId:
          type: string
          format: uuid
        disclosureEnabled:
          type: boolean
        disclosureText:
          type: string
        disclosureMode:
          type: string
          enum:
            - FIRST_INTERACTION
            - EVERY_RESPONSE
        disclosureChannelIds:
          type: array
          items:
            type: string
            format: uuid
        markSyntheticContent:
          type: boolean
        updatedBy:
          type: string
          format: uuid
        updatedAt:
          type: string
          format: date-time
  securitySchemes:
    Registry_bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT token (USER, AGENT, or SERVICE auth)

````